Bug 260543 - x11-wm/enlightenment: Fix pkg-plist on armv7
Summary: x11-wm/enlightenment: Fix pkg-plist on armv7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: arm Any
: --- Affects Many People
Assignee: freebsd-enlightenment (Nobody)
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2021-12-19 13:36 UTC by Robert Clausecker
Modified: 2021-12-23 08:36 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (enlightenment)
fuz: merge-quarterly?


Attachments
x11-wm/enlightenment: fix pkg-plist on armv7/armv7 (1.23 KB, patch)
2021-12-19 13:36 UTC, Robert Clausecker
fuz: maintainer-approval? (enlightenment)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Clausecker 2021-12-19 13:36:07 UTC
Created attachment 230243 [details]
x11-wm/enlightenment: fix pkg-plist on armv7/armv7

This patch adds a case to derive ENLIGHTENMENT_ARCH correctly on armv6 and armv7 where the architecture is just "arm."  With this patch, x11-wm/enlightenment succesfully builds on armv7 (haven't tested armv6).

Please MFH if possible.
Comment 1 Peter TKATCHENKO 2021-12-22 11:46:26 UTC
I have no armv6 to check the build, but the patch looks good for me.
Comment 2 Gleb Popov freebsd_committer 2021-12-23 08:20:04 UTC
Thanks. Can you please turn ".else .if" into ".elif"? This would remove the need for spelling ".endif" at the end of this block multiple times.
Comment 3 Robert Clausecker 2021-12-23 08:24:39 UTC
(In reply to Gleb Popov from comment #2)

Hi Gleb,

The patch does exactly that.  Please check again.

Yours,
Robert Clausecker
Comment 4 Gleb Popov freebsd_committer 2021-12-23 08:31:13 UTC
(In reply to Robert Clausecker from comment #3)

  /\
  ||
  ||
  ||       <-   large pointy hat
  ||
 /  \
.____.     <-   arrowd
Comment 5 commit-hook freebsd_committer 2021-12-23 08:34:13 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=db6a71f02193b7021526f17b687719133c5c1672

commit db6a71f02193b7021526f17b687719133c5c1672
Author:     Robert Clausecker <fuz@fuz.su>
AuthorDate: 2021-12-23 08:27:11 +0000
Commit:     Gleb Popov <arrowd@FreeBSD.org>
CommitDate: 2021-12-23 08:33:50 +0000

    x11-wm/enlightenment: Enable build of armv{6,7}.

    While there, turn a bunch of `.else .if` blocks into `.elif`s.

    PR:             260543
    Reported by:    Peter TKATCHENKO <peter@flytrace.com>

 x11-wm/enlightenment/Makefile | 14 +++++---------
 1 file changed, 5 insertions(+), 9 deletions(-)
Comment 6 commit-hook freebsd_committer 2021-12-23 08:36:16 UTC
A commit in branch 2021Q4 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=afaa20a0dca20e911866488d285783a4e757dced

commit afaa20a0dca20e911866488d285783a4e757dced
Author:     Robert Clausecker <fuz@fuz.su>
AuthorDate: 2021-12-23 08:27:11 +0000
Commit:     Gleb Popov <arrowd@FreeBSD.org>
CommitDate: 2021-12-23 08:35:07 +0000

    x11-wm/enlightenment: Enable build of armv{6,7}.

    While there, turn a bunch of `.else .if` blocks into `.elif`s.

    PR:             260543
    Reported by:    Peter TKATCHENKO <peter@flytrace.com>

    (cherry picked from commit db6a71f02193b7021526f17b687719133c5c1672)

 x11-wm/enlightenment/Makefile | 14 +++++---------
 1 file changed, 5 insertions(+), 9 deletions(-)
Comment 7 Gleb Popov freebsd_committer 2021-12-23 08:36:55 UTC
Pushed in, thank you for your contribution.